#!/bin/bash
# 自动备份时使用以下命令
# /bin/bash  /srv/dev-disk-by-label-hd2/docker/gitea/backup.sh

cd $(dirname ${BASH_SOURCE:-$0})

cid=$(docker-compose ps -q gitea)
if [ ${#cid} -gt 0 ]; then
  echo "Backuping applications ..."
  docker-compose exec -T gitea /bin/bash -c "cd /app/gitea/backup; su git -c \"gitea dump\""
  exit 0
else
  echo "The container \"gitea\" not running. Please start container \"gitea\""
  exit 1
fi